> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sqd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.sqd.dev/feedback

```json
{
  "path": "/en/cloud/reference/hasura",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# addons.hasura section

> Configure the Hasura GraphQL addon for a squid deployment — connect to Postgres, set authentication, and expose a managed GraphQL API on SQD Cloud.

## Running Hasura

To provision a [Hasura](https://hasura.io) instance, add an empty `deploy.addons.hasura` section to the [deployment manifest](/en/cloud/reference/manifest). Provide some basic configuration:

```yaml theme={"system"}
deploy:
  env:
    HASURA_GRAPHQL_ADMIN_SECRET: "$\{\{ secrets.HASURA_SECRET \}\}"
    HASURA_GRAPHQL_UNAUTHORIZED_ROLE: user
    HASURA_GRAPHQL_STRINGIFY_NUMERIC_TYPES: "true"
  addons:
    postgres:
    hasura:
```

Note the use of a [Cloud secret](/en/cloud/resources/env-variables/#secrets) for storing the admin password.

## Configuring a Hasura API

### For a squid

Use the [Hasura configuration tool](/en/sdk/squid-sdk/resources/tools/hasura-configuration) for squids running dedicated Hasura instances. To make Cloud initialize Hasura configuration on squid restarts, make sure that the tool runs on squid startup by adding a `deploy.init` section to the manifest, e.g. like this:

```yaml theme={"system"}
deploy:
  init:
    env:
      HASURA_GRAPHQL_ENDPOINT: 'http://hasura:8080'
    cmd:
      - npx
      - squid-hasura-configuration
      - apply
```

See also the [Hasura section of the GraphQL guide](/en/sdk/squid-sdk/resources/serving-graphql#hasura) and the [complete squid example](https://github.com/subsquid-labs/squid-hasura-example).

### For a DipDup indexer

[DipDup](https://dipdup.io) also configures Hasura automatically. See the [DipDup section](/en/sdk/alternative-clients/dipdup) for details.
